import { ConfigurationService } from "./configuration.service.js";
import { DownloaderService } from "./downloader.service.js";
import { BrowserClientService } from "./new/browser-client.service.js";
import { BrowserPlatformService } from "./new/browser-platform.service.js";
import { PromptingService } from "./prompting.service.js";
import { ValidationService } from "./validation.service.js";
export class ServiceLocator {
    _browserClientService;
    _browserPlatformService;
    _configurationService;
    _downloaderService;
    _promptingService;
    _validationService;
    get browserClientService() {
        if (!this._browserClientService) {
            this._browserClientService = new BrowserClientService();
        }
        return this._browserClientService;
    }
    get browserPlatformService() {
        if (!this._browserPlatformService) {
            this._browserPlatformService = new BrowserPlatformService();
        }
        return this._browserPlatformService;
    }
    get configurationService() {
        if (!this._configurationService) {
            this._configurationService = new ConfigurationService();
        }
        return this._configurationService;
    }
    get downloaderService() {
        if (!this._downloaderService) {
            this._downloaderService = new DownloaderService();
        }
        return this._downloaderService;
    }
    get promptingService() {
        if (!this._promptingService) {
            this._promptingService = new PromptingService();
        }
        return this._promptingService;
    }
    get validationService() {
        if (!this._validationService) {
            this._validationService = new ValidationService();
        }
        return this._validationService;
    }
}
export default new ServiceLocator();
